Page MenuHomePhabricator

Split Preprocessor/init.c test. NFC.
ClosedPublic

Authored by tra on Aug 11 2020, 5:29 PM.

Details

Summary

Some parts of the test had been extracted into separate files previously.
This patch continues the trend and extracts few more large blocks.

This reduces wall time for the test from a single 14s-long test into a set of
smaller tests that can be run in parallel.

Before/after state of the check-clang tests are here:
https://gist.github.com/Artem-B/d0b05c2e98a49158c02de23f7f4f0279

Diff Detail

Event Timeline

tra created this revision.Aug 11 2020, 5:29 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 11 2020, 5:29 PM
tra requested review of this revision.Aug 11 2020, 5:29 PM
MaskRay accepted this revision.Aug 12 2020, 8:16 PM
MaskRay added inline comments.
clang/test/Preprocessor/init-arm.c
20

Consider spending a bit more time and adding -NEXT: whenever applicable?

This revision is now accepted and ready to land.Aug 12 2020, 8:16 PM
tra added inline comments.Aug 13 2020, 10:35 AM
clang/test/Preprocessor/init-arm.c
20

I'll leave it to the owners. It should be done in a separate patch anyways.

MaskRay added inline comments.Aug 14 2020, 8:54 AM
clang/test/Preprocessor/init-ppc.c
391

Some // may be deleted. Without //, for example, in Vim, you can jump over these blocks with { and }

tra updated this revision to Diff 285745.Aug 14 2020, 1:06 PM
tra edited the summary of this revision. (Show Details)

Separated blocks of RUN commands with an empty line to make navigation easier.

tra marked an inline comment as done.Aug 14 2020, 1:07 PM
This revision was landed with ongoing or failed builds.Aug 14 2020, 1:14 PM
This revision was automatically updated to reflect the committed changes.